package com.gic.haoban.manage.web.qo.chat;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-10 16:26:38
 */
public class GroupChatActivityDataInviterDetailReq implements Serializable {

    private static final long serialVersionUID = 2660355784426208294L;

    /**
     * 是否返回总数
     */
    private Boolean returnTotalNum;

    /**
     * 页编号
     */
    private Integer pageNum;

    /**
     * 页大小
     */
    private Integer pageSize;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 活动id
     */
    private String chatActivityId;

    /**
     * 参与客户会员id
     */
    private String inviterMemberId;

    /**
     * 排序字段 3邀请进群人数 4有效邀请人数 5入群客户数 6入群游客数 7新增会员数 8发放积分数 9发放成长值数 10发放卡券数
     */
    private Integer orderByFields;

    /**
     * 排序类型 1 升序 2降序
     */
    private Integer orderByType;

    public Boolean getReturnTotalNum() {
        return returnTotalNum;
    }

    public void setReturnTotalNum(Boolean returnTotalNum) {
        this.returnTotalNum = returnTotalNum;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(String chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public Integer getOrderByFields() {
        return orderByFields;
    }

    public void setOrderByFields(Integer orderByFields) {
        this.orderByFields = orderByFields;
    }

    public Integer getOrderByType() {
        return orderByType;
    }

    public void setOrderByType(Integer orderByType) {
        this.orderByType = orderByType;
    }
}
